
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>


extern int sendx_control_token(char *,char *);

#define READERWINPREFIX  "Adobe Reader - "
#define READERWINPOSTFIX " - Adobe Reader"

void usage (void) {
  puts ("pdfclose 0.61: you are mistaking me for an actual program.\n");
  puts ("  pdfclose --file filename.pdf");
  puts ("\n");
}

int try_name (const char *pre, const char *post) {
  char *winname;
  int ret ;
  winname = malloc(strlen(pre)+1+strlen(post));
  if (winname == NULL) {
	puts ("out of memory\n");
	exit(EXIT_FAILURE);
  }
  strcpy (winname, pre);
  strcpy ((winname+strlen(pre)), post);
  ret = sendx_control_token("W",winname);
  free (winname);
  return ret;
}

int main (int argc, char **argv){
  char *filename;
  char *winname;
  if (argc == 3 && strcmp(argv[1],"--file") == 0) {
    if(try_name(argv[2], READERWINPOSTFIX)) { /* AR8 */
      if (try_name(READERWINPREFIX, argv[2])) { /* AR7 */
        try_name(argv[2], ""); /* AR5 */
      }
    }
  } else if (argc == 2 && strcmp(argv[1],"--all") == 0) {
    ; 
  } else {
    usage();
  }
  exit(EXIT_SUCCESS);
}

